---
layout: post
title: "Bachelor in Information Systems, University of Zurich (UZH)"
nicedate: "2012 &ndash; 2015"
description: "Bachelor in Information Systems, University of Zurich (UZH)"
categories: [education]
keywords: "education bachelor information systems resource reallocation kvm libvirt openstack"
---

### Bachelor Thesis: Resource Reallocation

The thesis entitled _"Investigation of Resource Reallocation Capabilities of
KVM and OpenStack"_ reviewed concepts (e.g., page sharing, paging, memory
ballooning, processor pining, queuing disciplines) and evaluated tools (e.g.,
libvirt, tc, cgroups) to reallocate memory, CPU cycles, disk I/O and network
bandwidth on the hypervisor layer. The thesis documented existing resource
reallocation capabilities of the Kernel-based Virtual Machine (KVM) hypervisor
module and explored mechanisms to facilitate similar tasks on the orchestration
layer with an experimental OpenStack Compute (nova) extension.

* [{% octicon file %} Thesis](http://www.merlin.uzh.ch/contributionDocument/download/8797)
* [{% octicon eye %} Presentation](/assets/pdf/BA_final_150825_without-dup.pdf)
