---
layout: post
title: "Master in Information Systems, University of Zurich (UZH)"
nicedate: "2015 &ndash; 2018"
description: "Master in Information Systems, University of Zurich (UZH)"
categories: [education]
keywords: "education master information systems reputation blockchain"
---

### Master Thesis: Reputation System

The thesis was entitled _"A Reputation and Reward Scheme for a Cooperative, Multi-domain DDoS Defense"_ and explored the design, implementation and evaluation of a blockchain-based reputation and reward scheme to incentivize participants and penalize malicious peers in a cooperative defense.

* [{% octicon file %} Thesis](https://www.merlin.uzh.ch/contributionDocument/download/11051)
* [{% octicon eye %} Presentation](https://docs.google.com/presentation/d/1pA8LF8Lqw8DN8AyQK7DQ4OuZDskzRhft0JIrxMJUfHI/present)
* [{% octicon link-external %} Project page](https://www.csg.uzh.ch/csg/en/research/BlockchainDDoSMitigation.html)

### Master Project: Blockchain in Automotive Industry

This group project on _"Blockchain in the Automotive Industry"_ elicited
requirements for a novel digital car dossier, resulting in a prototype with
Hyperledger Fabric.

![Cardossier USB Prototype](/assets/images/Cardossier USB Prototype.jpg){:width="160px" .pull-right}

* [{% octicon file %} Report](https://drive.google.com/file/d/0B73CCJ-tr9zSNVlmN1ZhT0xSeHc/view)
* [{% octicon file %} Usage Instructions](https://docs.google.com/document/d/1iMdJZwNY2aqjwtAbqdR45JeQ8bxwokO7Oqa_IZ2C9mY)
* [{% octicon package %} Live USB](https://drive.google.com/file/d/0BxPMjikasQPoZzJXSW84V0RzX28/view?usp=sharing)
* [{% octicon mark-github %} Code](https://github.com/EGabb/Car-Trading-Blockchain)
* [{% octicon link-external %} Cardossier project page](https://www.blockchain.uzh.ch/projects/blockchain-cardossier)
* [{% octicon link-external %} Cardossier association](https://www.cardossier.ch)

