---
layout: post
title: "Zürich HashiCorp User Group (HUG): Build, run and manage with Zero Trust on a Swiss Cloud"
citation: 'HUG #10: Build, run and manage with Zero Trust on a Swiss Cloud'
url: "https://www.meetup.com/zurich-hashicorp-user-group/events/289349205"
nicedate: Dec 2022
description: "Zürich HashiCorp User Group: Build, run and manage with Zero Trust on a Swiss Cloud"
categories: [speaking]
keywords: "speaking hashicorp vault exoscalew kubernetes sks zurich adfinis"
---

Vault Deployment on Exoscale Scalable Kubernetes Service (SKS)

* [{% octicon link-external %} Meetup - HUG #10: Build, run and manage with
  Zero Trust on a Swiss
Cloud](https://www.meetup.com/zurich-hashicorp-user-group/events/289349205)
* [{% octicon eye %} Presentation](/assets/pdf/HashiCorp_Vault_Enterprise_on_Exoscale.pdf)
* [{% octicon mark-github %} Demo code](https://github.com/adfinis/sks-vault-demo)

Deploy Vault on Exoscale SKS with ArgoCD. In this short rundown we will
provision a Kubernetes cluster on Exoscale (SKS), install ArgoCD and use that
to spin up HashiCorp Vault Enterprise. At the end of this session, you will
also be able to leverage the best practices around the "App of Apps" approach
for your projects, which we already use at Adfinis to manage the lifecycle of
mulitple apps across clusters and customers.
