---
layout: page
title: About me
permalink: /about/
---


<div style="text-align: justify">
<p>Apart from my <a href="https://p0c.ch">enthusiasm for open source
software</a>, I'm mainly interested in:
<ul class="list">
 <li>Relational databases</li>
 <li>Distributed systems</li>
 <li>Theoretical computer science</li>
 <li>Cloud native computing</li>
 <li>Infrastructure automation (X as Code) in organizations</li>
 <li>Open source licensing</li>
 <li>Linux in general</li>
 <li>Project management</li>
</ul>
</p>

<img src="/assets/images/Gruhler Andreas_CV Grey.jpg"
     alt="Andreas Gruhler CV Picture"
     style="width: 100px; margin: 0 30px 10px 20px" class="pull-left" />

<p>I enjoy to build and work with open source products and systems that do one
thing and do it well.</p>

<p>In my spare time I like to bike, board, ski or <a
href="https://code.in0rdr.ch">tinker</a> around, self-host things and kick-off
strange software products nobody needs.</p>

<h2>Stay in touch</h2>
<table>
<tr>
  <td>Mastodon</td>
  <td>in0rdr <a href="https://m.in0rdr.ch/@in0rdr">@m.in0rdr.ch</a></td>
</tr>
<tr>
  <td>IRC</td>
  <td>in0rdr <a href="https://web.libera.chat/gamja/#p0c">@libera/#p0c</a></td>
</tr>
<tr>
  <td>Threema</td>
  <td><a href="https://threema.id/EX8S6UKR">EX8S6UKR</a></td>
</tr>
</table>
</div>
